# English

A simple labyrinth game written in Java with several generation algorithms and more. Interface made in JavaFX.

* Official website: [www.eliastiksofts.com/labyrinth-marathon/](http://www.eliastiksofts.com/labyrinth-marathon/)
* Github repository: [https://github.com/Eliastik/labyrinth-marathon](https://github.com/Eliastik/labyrinth-marathon)

## About this game

* Version: 1.1
* Made in France by Eliastik - [eliastiksofts.com](http://eliastiksofts.com) - Contact : [eliastiksofts.com/contact](http://eliastiksofts.com/contact)
* License: GNU GPLv3 (see license.txt file)

### Credits

* Uses the library [org.json](https://github.com/stleary/JSON-java)
* Uses character assets from [here](https://jd-collier.itch.io/mythril-age-sprites-volume-1)
* Uses a grass texture from [here](https://streak.club/p/27965/redid-the-grass-blocks-by-notapollogising)

## Changelog

* Version 1.1 (12/21/2019):
    - Added new generation algorithms (Growing Tree, Side Winder, Recursive Backtracking, Prim, Hunt and Kill, Recursive Division and Wilson)
    - Added new solving algorithms (A-Star and Dijkstra)
    - The generation and solving algorithms can now be animated to show their execution
    - The characters walk is now animated
    - Better performances
    - Bug fixes and others improvements
    - Code architecture improvements : MVC pattern, multi-threading, improved Javadoc and others improvements

* Version 1.0 (12/2/2019):
    - Initial version

# Français

Un simple jeu de labyrinthe écrit en Java avec plusieurs algorithmes de génération et plus. Interface faite en JavaFX.

* Site officiel : [www.eliastiksofts.com/labyrinth-marathon/](http://www.eliastiksofts.com/labyrinth-marathon/)
* Dépôt Github : [https://github.com/Eliastik/labyrinth-marathon](https://github.com/Eliastik/labyrinth-marathon)

## À propos du jeu

* Version : 1.1
* Made in France by Eliastik - [eliastiksofts.com](http://eliastiksofts.com) - Contact : [eliastiksofts.com/contact](http://eliastiksofts.com/contact)
* Licence : GNU GPLv3 (voir le fichier license.txt)

### Credits

* Utilise la bibliothèque logicielle [org.json](https://github.com/stleary/JSON-java)
* Utilise des assets venant d'[ici](https://jd-collier.itch.io/mythril-age-sprites-volume-1)
* Utilise une texture d'herbe venant d'[ici](https://streak.club/p/27965/redid-the-grass-blocks-by-notapollogising)

## Changelog

* Version 1.1 (21/12/2019) :
    - Ajout de nouveaux algorithmes de génération (Growing Tree, Side Winder, Recursive Backtracking, Prim, Hunt and Kill, Recursive Division et Wilson)
    - Ajout de nouveaux algorithmes de résolution (A-Star et Dijkstra)
    - Les algorithmes de génération et de résolution peuvent désormais être animés pour montrer leur exécution
    - Le mouvement des personnages est maintenant animé
    - Amélioration des performances
    - Correction de bugs et autre ajustements
    - Amélioration de l'architecture du code : Patron MVC, multi-threading, amélioration de la Javadoc et autres améliorations

* Version 1.0 (02/12/2019) :
    - Version initiale

## Déclaration de licence

Copyright (C) 2019 Eliastik (eliastiksofts.com)

Ce programme est un logiciel libre ; vous pouvez le redistribuer ou le modifier suivant les termes de la GNU General Public License telle que publiée par la Free Software Foundation ; soit la version 3 de la licence, soit (à votre gré) toute version ultérieure.

Ce programme est distribué dans l'espoir qu'il sera utile, mais SANS AUCUNE GARANTIE ; sans même la garantie tacite de QUALITÉ MARCHANDE ou d'ADÉQUATION à UN BUT PARTICULIER. Consultez la GNU General Public License pour plus de détails.

Vous devez avoir reçu une copie de la GNU General Public License en même temps que ce programme ; si ce n'est pas le cas, consultez http://www.gnu.org/licenses.

----

Copyright (C) 2019 Eliastik (eliastiksofts.com)

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU General Public License for more details.

You should have received a copy of the GNU General Public License along with this program. If not, see http://www.gnu.org/licenses/.
